@import "../global.css";
@import "../custom-color-package-text.css";
@import "../custom-color-package-elements.css";
@import "../seamless.css";

div#root {
  --secondary: var(--sky);
  --secondary-text: var(--sky);
  --secondary-svg: var(--sky);
  --secondary-accent-line: var(--sky);
}

/* DBA logo */
div#root .fwm-team-header-entity-logo-image {
  width: 18.75rem;
}

#fwm-header.fwm-darkTheme .fwm-team-header-branding-logo svg * {
  fill: var(--white);
}

/* Primary H2 */
.fwm-lightTheme .fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  color: var(--primary-text);
}

/* Primary H3 */
h3.fwm-primary-h3.fwm-primary-h3 {
  font-weight: 400;
}

.fwm-lightTheme h3.fwm-primary-h3.fwm-primary-h3 {
  color: var(--primary-text);
}

/* Accordion Headers */
.fwm-lightTheme summary.fwm-pivot-accordion-summary span[class*=SpanStyled],
.fwm-lightTheme div.accordion-container .accordion-item-title,
.fwm-lightTheme details.mce-accordion summary {
  color: var(--primary-text) !important;
}

/* Rich Text H2 */
span.fwm-rich-text-editor h2 {
  font-size: 1.5rem;
  letter-spacing: 0.5px;
  line-height: 1.2;
}

@media (min-width: 48rem) {
  span.fwm-rich-text-editor h2 {
    font-size: 1.75rem;
  }
}
@media (min-width: 64rem) {
  span.fwm-rich-text-editor h2 {
    font-size: 2rem;
  }
}
/* Flashcard Image */
.fwm-card-flashcard-image-overlay {
  background: rgba(0, 0, 0, 0.4);
}

/* Dynamic Cards */
.fwm-card-dynamic-set .fwm-nestable-grid {
  gap: 1rem;
}
.fwm-card-dynamic-set .fwm-card-align-center.fwm-card-set-item.fwm-lightTheme {
  padding-top: 0;
  padding-left: 0;
  padding-right: 0;
}
.fwm-card-dynamic-set .fwm-card-align-center.fwm-card-set-item.fwm-lightTheme .nmx-col > div:first-child {
  padding-bottom: 2.5rem;
}
.fwm-card-dynamic-set .fwm-card-align-center.fwm-card-set-item.fwm-lightTheme .nmx-col > div:first-child ~ h3,
.fwm-card-dynamic-set .fwm-card-align-center.fwm-card-set-item.fwm-lightTheme .nmx-col > div:first-child ~ span,
.fwm-card-dynamic-set .fwm-card-align-center.fwm-card-set-item.fwm-lightTheme .nmx-col > div:first-child ~ .fwm-card-cta-link {
  max-width: calc(100% - 3rem);
  display: inline-block;
  margin-left: auto;
  margin-right: auto;
}
.fwm-card-dynamic-set .fwm-card-align-center.fwm-card-set-item.fwm-lightTheme .nmx-col > div:first-child ~ h3 {
  margin-top: 1.5rem;
}
.fwm-card-dynamic-set .fwm-card-align-center.fwm-card-set-item.fwm-lightTheme .nmx-col > span:empty {
  display: none;
}

/* [Note From Our Founders] */
.fwm-nestable-6bf1e277-2acd-4d4c-98d4-d7d17e648b69 .fwm-team-member-contact,
.fwm-nestable-6bf1e277-2acd-4d4c-98d4-d7d17e648b69 div[class*=SocialsStyled] {
  display: none;
}

/* Text Banner Image side-hack */
section.fwm-nestable-7bcc55c9-be06-4319-abb7-e62739ad6508.fwm-not-subcomponent,
section.fwm-nestable-2d0cb1cb-8dbe-4757-bda7-f7143003169d.fwm-not-subcomponent {
  position: relative;
  background: url("https://media.northwesternmutual.com/sites/images/custom-content-photo-full/e44f9776-a504-46b2-955c-49f565495bcc.jpeg?width=1920") !important;
  background-size: cover !important;
  background-repeat: no-repeat !important;
  background-position: center !important;
}
section.fwm-nestable-7bcc55c9-be06-4319-abb7-e62739ad6508.fwm-not-subcomponent::before,
section.fwm-nestable-2d0cb1cb-8dbe-4757-bda7-f7143003169d.fwm-not-subcomponent::before {
  content: "";
  width: 100%;
  height: 100%;
  top: 0;
  position: absolute;
  background: rgba(0, 0, 0, 0.4);
}
section.fwm-nestable-7bcc55c9-be06-4319-abb7-e62739ad6508.fwm-not-subcomponent .fwm-nestable-container,
section.fwm-nestable-2d0cb1cb-8dbe-4757-bda7-f7143003169d.fwm-not-subcomponent .fwm-nestable-container {
  padding: 0;
  background: none;
  max-width: 50rem;
}
section.fwm-nestable-7bcc55c9-be06-4319-abb7-e62739ad6508.fwm-not-subcomponent section.fwm-is-subcomponent,
section.fwm-nestable-2d0cb1cb-8dbe-4757-bda7-f7143003169d.fwm-not-subcomponent section.fwm-is-subcomponent {
  background: none !important;
}